perris_app/urls.py
from django.conf.urls import url, include
from rest_framework import routers
from . import views
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    url(r'index', views.index, name='index'),
    url(r'registro',views.registro, name='registro'), 
    url(r'acceso',views.acceso, name='acceso'), 
    url(r'cerrar',views.cerrar, name='cerrar'),    
    path('rescates/', views.rescates_ver, name="rescates_ver"),    
    path('rescates/new/', views.rescate_nuevo, name="rescates_nuevo"), 
    path('rescates/<int:id>/',views.rescates_eliminar, name='rescates_eliminar'),
    path('rescates/<int:pk>/edit/',views.rescates_editar, name='rescates_editar'),
]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

perris_config/urls.py
from django.conf.urls import url, include
from rest_framework import routers
from perris_app import views
from django.contrib import admin
from django.urls import path, include


router = routers.DefaultRouter()
router.register(r'personas', views.PersonaViewSet)

# Wire up our API using automatic URL routing.
# Additionally, we include login URLs for the browsable API.
urlpatterns = [    
    url(r'^', include('perris_app.urls')), 
    url(r'^admin/', admin.site.urls),    
    url(r'^', include(router.urls)),
    url(r'^api-auth/', include('rest_framework.urls', namespace='rest_framework')),
    url(r'^auth/', include('social_django.urls', namespace='social')), 
]

perris_app/models.py
from django.db import models
from django.contrib.auth.models import User
from datetime import datetime

# Create your models here.

class Persona(models.Model):

    CASA1 = 'Casa con Patio Grande'
    CASA2 = 'Casa con Patio Pequeño'
    CASA3 = 'Casa sin Patio'
    DEPTO = 'Departamento'

    CATEGORIES_CHOICES = (
        (CASA1, 'Casa con Patio Grande'),
        (CASA2, 'Casa con Patio Pequeño'),
        (CASA3, 'Casa sin Patio'),
        (DEPTO, 'Departamento'),
    )

    usuario = models.OneToOneField(User, on_delete=models.CASCADE)
    email = models.EmailField(blank=False, max_length=100, primary_key=True, verbose_name='Correo Electrónico')
    run = models.CharField(max_length=12, verbose_name='Run')
    nombre_completo = models.CharField(max_length=50, verbose_name='Nombre Completo')
    fechanac = models.DateField( verbose_name='Fecha de Nacimiento')
    telefono = models.IntegerField(verbose_name='Teléfono')
    regiones = models.CharField(max_length=40, verbose_name='Región')
    comunas = models.CharField(max_length=40, verbose_name='Comuna')
    tipo_vivienda = models.CharField(max_length=40, choices=CATEGORIES_CHOICES, verbose_name='Tipo de Vivienda')
    contrasenia = models.CharField(blank=False, max_length=20, default=None, verbose_name='Contraseña')
    
    def __str__(self):
        return self.email


class Mascota(models.Model):


    DISP = 'Disponible'
    ADOP = 'Adoptado'
    RESC = 'Rescatado'

    ESTADO_CHOICES = (
        (DISP, 'Disponible'),
        (ADOP, 'Adoptado'),
        (RESC, 'Rescatado'),
    )

    nombre = models.CharField(max_length = 60, verbose_name='Nombre')
    raza = models.CharField(max_length = 40, verbose_name='Raza')
    foto = models.ImageField(upload_to = 'fotos/', verbose_name='Fotografía')
    descripcion = models.CharField(max_length = 200, verbose_name='Descripción')
    estado =  models.CharField(max_length=40, choices=ESTADO_CHOICES, verbose_name='Estado')
   
    def __str__(self):
        return self.nombre

perris_app/forms.py
from django import forms
from .models import Persona, Mascota
from django.contrib.auth.models import User

class PersonaForm(forms.ModelForm):

    class Meta:
        model = Persona
        fields = ('email','run','nombre_completo','fechanac','telefono','regiones','comunas','tipo_vivienda','contrasenia')
        labels = {
            'email':'Correo Electrónico',
            'run':'Run',
            'nombre_completo':'Nombre Completo',
            'fechanac':'Fecha de Nacimiento',
            'telefono':'Teléfono',
            'regiones':'Región',
            'comunas':'Comuna',
            'tipo_vivienda':'Tipo de Vivienda',
            'contrasenia':'Contraseña'
            }
        widgets= {
            'email': forms.TextInput(attrs={'class':'form-control'}),
            'run': forms.TextInput(attrs={'class':'form-control'}),
            'nombre_completo': forms.TextInput(attrs={'class':'form-control'}),
            'fechanac': forms.DateInput(attrs={'type':'date'}),
            'telefono': forms.TextInput(attrs={'class':'form-control'}),
            'regiones': forms.Select(attrs={'class':'form-control','id':'regiones'}),
            'comunas': forms.Select(attrs={'class':'form-control','id':'comunas'}),
            'tipo_vivienda': forms.Select(attrs={'class':'form-control'}),
            'contrasenia': forms.TextInput(attrs={'class':'form-control'})
        }

class UsuarioForm(forms.ModelForm):

    class Meta:
        model = User
        fields = ('username', 'password',)



class MascotaForm(forms.ModelForm):

    class Meta:
        model = Mascota
        fields = ('nombre', 'raza','foto','descripcion','estado')

        labels = {
            'nombre':'Nombre',
            'raza':'Raza',
            'foto':'Fotografía',
            'descripcion':'Descripción',
            'estado':'Estado',
            }
        widgets= {
            'nombre': forms.TextInput(attrs={'class':'form-control','id':'nombre'}),
            'raza': forms.TextInput(attrs={'class':'form-control','id':'raza'}),
            'foto': forms.FileInput(attrs={'id':'foto'}),
            'descripcion': forms.TextInput(attrs={'class':'form-control','id':'descripcion'}),
            'estado': forms.Select(attrs={'class':'form-control','id':'estado'}),
        }

perris_app/templates/acceso.html

{% extends 'base.html' %}
{% load staticfiles %}

<head>
    {% block content %}
    <title>Login Page</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/acceso.css' %}">
</head>


    <div class="container">
        <div class="d-flex justify-content-center h-100">
            <div class="card">
                <div class="card-header">
                    <h3>Sign In</h3>
                    <div class="d-flex justify-content-end social_icon">
                        <span><i class="fab fa-facebook-square"></i></span>
                        <span><i class="fab fa-google-plus-square"></i></span>
                        <span><i class="fab fa-twitter-square"></i></span>
                    </div>
                </div>
                <div class="card-body">
                    <form action="{% url 'acceso' %}" id="formulary-login" method="post">
                        {% csrf_token %}
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-user"></i></span>
                            </div>
                            <input class="form-control" type="text" name="username" id="username" placeholder="Ingrese usuario">

                        </div>
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-key"></i></span>
                            </div>
                            <input class="form-control" type="password" name="password" id="password"
                                placeholder="Ingrese contraseña">
                        </div>
                        <div class="row align-items-center remember">
                            <input type="checkbox">Recuerdame
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Iniciar" class="btn float-right login_btn">
                        </div>
                    </form>
                </div>
                <div class="card-footer">
                    <div class="d-flex justify-content-center links">
                        No tienes cuenta?<a href="#registro.html">Registrate</a>
                    </div>
                    <div class="d-flex justify-content-center">
                        <a href="#">Recupera tu cuenta?</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% endblock %}

perris_app/templates/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="es">

    <head>
        <title>Header</title>
        <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}" type="text/css">
        <link rel="stylesheet" href="{% static 'css/flexboxgrid.css' %}" type="text/css">
        <link rel="stylesheet" href="{% static 'css/lightbox.css' %}" type="text/css">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css" integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/estilo.css' %}" type="text/css">
        <link rel="stylesheet" href="{% static 'css/footer.css' %}" type="text/css">
          <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Roboto+Slab" rel="stylesheet">
      </head>

<body>


    {% block menu %}


    <nav class="navbar navbar-expand-lg navbar-light" style="background-color: rgb(133, 212, 183)">
        <img class="img-fluid" src="{% static 'img/empresa/logo.png' %}" alt="logo" width="250">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav"
          aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse"font-size=50px; id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item active border-bottom border-white">
              <a class="nav-link"  style="color: white" href="{% url 'index' %}">Inicio</a>
            </li>
            <li class="nav-item border-bottom border-white">
              <a class="nav-link" style="color: white" href="#">Quienes Somos</a>
            </li>
            <li class="nav-item border-bottom border-white">
              <a class="nav-link" style="color: white" href="#">Servicios</a>
            </li>
            <li class="nav-item border-bottom border-white">
              <a class="nav-link" style="color: white" href="#">Contactenos</a>
            </li>

            
            {% if not user.is_authenticated %}

            <li class="nav-item">
                <a class="nav-link js-scroll-trigger" href="{% url 'acceso' %}">Entrar</a>
            </li>
            <li class="nav-item">
                <a class="nav-link js-scroll-trigger" href="{% url 'registro' %}">Registrarse</a>
            </li>

            {% endif %}

            {% if user.is_authenticated %}
            <li class="nav-item">
                <a class="nav-link js-scroll-trigger" href="{% url 'cerrar' %}">Salir</a>
            </li>
            <li class="nav-item">
                <a class="nav-link js-scroll-trigger" href="{% url 'rescates_nuevo' %}">Nuevo Rescate</a>
            </li>
            <li class="nav-item">
                <a class="nav-link js-scroll-trigger" href="{% url 'rescates_ver' %}">Rescates</a>
            </li>
            {% endif %}
          </ul>
        </div>
      </nav>

    {% endblock %}

    {% block content %}
    {% endblock %}

    {% block footer%}
    <!--Librerias -->
    <!--Librerias -->
    <script src="{% static 'js/jquery-3.3.1.js' %}" ></script>
    <script src="{% static 'js/popper.js' %}" ></script>
    <script src="{% static 'js/bootstrap.js' %}" ></script>
    <script src="{% static 'js/lightbox.js' %}" ></script>
    <script src="{% static 'js/jquery.validate.js' %}" ></script>
    <script src="{% static 'js/additional-methods.js' %}" ></script>
    <script src="{% static 'js/jquery.rut.js' %}" ></script>


    <!-- app -->
    <script src="{% static 'js/app.js' %}"></script>


    <div class="w3hubs-footer">
   	  
        <div class="w3hubs-icon">
          <ul>
            <li><a href="#" target="black"><i class="fa fa-facebook"></i></a></li>
            <li><a href="#" target="black"><i class="fa fa-google-plus"></i></a></li>
            <li><a href="#" target="black"><i class="fa fa-twitter"></i></a></li>
            <li><a href="#" target="black"><i class="fa fa-instagram"></i></a></li>
            <li><a href="#" target="black"><i class="fa fa-youtube-play"></i></a></li>
          </ul>
        </div>
        <div class="w3hubs-nav">
          <ul>
            <li><a href="#">Inicio</a></li>
            <li><a href="#">Quienes Somos</a></li>
            <li><a href="#">Servicios</a></li>
            <li><a href="#">Galeria </a></li>
            <li class="p1"><a href="#">Contactenos</a></li>
            
 
          </ul>
        </div>
 
        <div class="w3hubs-nav2">
          <ul>
            
            <li><a href="#" title="To Top"><i class="fa fa-chevron-down"></i></a></li>
            
          </ul>
        </div>
    </div>
 
    <div class="footer-end">
     </div>
    {% endblock %}

</body>
</html>


perris_app/templates/index.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block content %}
  <!--Carrusel de imagenes -->
  <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
        <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
    </ol>
    <div class="carousel-inner">
        <div class="carousel-item active" style="background-size: cover;">
            <img id="imagen" class="d-block w-100 altura-minima" src="{% static 'img/adoptados/Apolo.jpg' %}" alt="First slide">
        </div>
        <div class="carousel-item" style="background-size: cover">
            <img class="d-block w-100 altura-minima" src="{% static 'img/adoptados/Duque.jpg' %}" alt="Second slide">
        </div>
        <div class="carousel-item">
            <img class="d-block w-100 altura-minima" src="{% static 'img/adoptados/Tom.jpg' %}" alt="Third slide">
        </div>
    </div>
    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
    </a>
</div>

<!--Iconos -->
<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 text-center" style="background-color: rgb(133, 212, 183)">
    <div class="icons">
        <a href="https://es-la.facebook.com/" target="_blank"><i class="fab fa-facebook fa-2x" style="color:#FFFFFF;">
            </i></a>
        <a href="https://plus.google.com/?hl=es" target="_blank"><i class="fab fa-google-plus-square fa-2x" style="color:#FFFFFF;"></i></a>
        <a href="https://www.instagram.com/?hl=es-la" target="_blank"><i class="fab fa-instagram fa-2x" style="color:#FFFFFF;"></i></a>
        <a href="https://mail.google.com/mail/u/1/#inbox" target="_blank"><i class="fas fa-envelope-square fa-2x"
                style="color:#FFFFFF;"></i></a>
    </div>
</div>

<!--Informacion -->
<div class="container">
    <div class="row">
        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 " style="margin-bottom: 30px;">
            <div id="rescate">
                <p>RESCATE</p>
            </div>
            <div id="etapa1">
                <p>ESTAPA UNO</p>
            </div>
            <div id="guion">
                <p>_______</p>
            </div>
            <div id="mensaje_rescate">
                <p>Rescatamos perros en situación de peligro y/o abandono. Los rehabilitamos y los preparamos para
                    buscarles un hogar</p>
            </div>
            <div><img style="float:right;" src="{% static 'img/empresa/rescate.jpg' %}" alt="Rescate" width="200"></div>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6" style="margin-bottom: 30px;">
            <div id="img_comida"> <img style="margin-top: 13px; " src="{% static 'img/empresa/crowfunding.jpg' %}"
                    alt="comida" width="200"></div>
            <div id="crow">
                <p>CROWDFUNDING</p>
            </div>
            <div id="financiamiento">
                <p>FINANCIAMIENTO</p>
            </div>
            <div id="guion2">
                <p>_______</p>
            </div>
            <div>
                <p>Sigue nuestras redes sociales para informarte acerca de las diversas campañas y actividades que
                    realizamos para obtener financiamiento para seguir ayudando</p>
            </div>
            <button type="button" class="btn btn-outline-dark">Campañas</button>
        </div>
    </div>
</div>

<!--collage-->
<div class="container-fluid">
    <div class="row container-collage-style">
        <div class="collage-row justify-content-center">
            <div class="collage-column">
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/Oso.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/Maya.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/Wifi.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/Chester.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
            </div>
            <div class="collage-column">
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/Chocolate.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/Pexel.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
            </div>
            <div class="collage-column">
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/Bigotes.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/Luna.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
                <div class="container-overlay">
                    <img src="{% static './img/rescatados/AJ.jpg' %}" alt="error-collage" class="image-overlay">
                    <div class="overlay">
                        <div class="text-overlay">Lorem ipsum dolor sit amet.</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

perris_app/templates/registro.html
{% extends 'base.html' %}
{% load staticfiles %}

<head>
 {% block content %}
    <title>Registro Usuarios</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/registrar.css' %}">
    
</head>

<body>
   
    <div class="container">
        <div class="d-flex justify-content-center h-100">
            <div class="card">
                <div class="card-header">
                    <h3>Registrar</h3>
                </div>
                <div class="card-body">
                    <form class="persona_form" method="POST" enctype="multipart/form-data">
                        <input type="hidden" name="csrfmiddlewaretoken" value="4qxYfCvfmEYNb3Esn01253764p43z7oQZDVcXDfa5SXXC0wHTUfH39leJHnPVxRQ">

                        {% csrf_token %}

                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-envelope"></i>
                                </span>
                            </div>

                            <input type="text" name="email" class="form-control" maxlength="100" required="" id="id_email"
                                placeholder="Ingresa un correo válido">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-hashtag"></i>
                                </span>
                            </div>

                            <input type="text" name="run" class="form-control" maxlength="12" required="" id="id_run"
                                placeholder="Ingresa tu rut">
                        </div>




                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-hashtag"></i>
                                </span>
                            </div>

                            <input type="text" name="nombre_completo" class="form-control" maxlength="50" required=""
                                id="id_nombre_completo" placeholder="Ingresa tu nombre completo">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="far fa-user"></i>
                                </span>
                            </div>
                            <input type="date" name="fechanac" required="" id="id_fechanac" placeholder="Ingresa tu Fecha de Nacimiento">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-key"></i>
                                </span>
                            </div>
                            <input type="text" name="telefono" class="form-control" required="" id="id_telefono" placeholder="Ingrese tu Telefono">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-key"></i>
                                </span>
                            </div>
                            <input type="password" class="form-control" required name="contrasenia" id="contrasenia"
                                placeholder="Ingresar Contraseña">
                        </div>

                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-map-marker-alt"></i>
                                </span>
                            </div>
                            <select name="regiones" id="regiones" class="form-control">
                                <option hidden value="">Seleccione Región</option>
                            </select>
                        </div>
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-map-marker-alt"></i>
                                </span>
                            </div>
                            <select name="comunas" id="comunas" class="form-control">
                                <option hidden value="">Seleccione Comuna</option>
                            </select>
                        </div>
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-home"></i>
                                </span>

                                <select name="tipo_vivienda" class="form-control" required="" id="id_tipo_vivienda">
                                    <option hidden value="">Seleccione Vivienda</option>
                                    <option value="casa con patio grande">Casa con patio Grande</option>
                                    <option value="casa con patio pequeño">Casa con patio Pequeño</option>
                                    <option value="casa sin patio">Casa sin patio</option>
                                    <option value="Departamento">Departamento</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group" style="margin-top: 10px;">

                            <button type="submit" class="btn float-right login_btn">Guardar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    {% endblock %}

perris_app/templates/rescates_editar.html
{% extends 'base.html' %}
{% block content %}


    <h1>Book List</h1>
    <form method="POST" class="mascota-form" enctype="multipart/form-data">
        {% csrf_token %}
        {{ form.as_p }}
        <button type="submit" class="save btn btn-default">Guardar</button>
    </form>


      {% endfor %}

    </ul>
    {% else %}
      <p>No hay rescates</p>
    {% endif %}       
{% endblock %}

perris_app/templates/rescates_lista.html
{% extends 'base.html' %}
{% block content %}
    <h1>Book List</h1>

    {% if rescates %}
    <ul>

      {% for r in rescates %}
      <div class="row row-rescued-style">
        <div class="col-md-1 col-rescued-style">
            {{r.id}}
        </div>
        <div class="col-md-2">
            <img src="/media/{{r.foto}}" alt="error-res-foto" class="rescued-img">
        </div>
        <div class="col-md-2 col-rescued-style">
            {{r.nombre}}
        </div>
        <div class="col-md-2 col-rescued-style">
            {{r.raza}}
        </div>
        <div class="col-md-2 col-rescued-style rescued-description">
            {{r.descripcion}}
        </div>
        <div class="col-md-1 col-rescued-style">
            {{r.estado}}
        </div>
        <div class="col-md-1 col-rescued-style">
            <a href="{% url 'rescates_editar' pk=r.id %}">Editar</a>
        </div>
        <div class="col-md-1 col-rescued-style">
            <a href="{% url 'rescates_eliminar' id=r.id %}">Eliminar</a>
        </div>
    </div>
      {% endfor %}

    </ul>
    {% else %}
      <p>No hay rescates</p>
    {% endif %}       
{% endblock %}

perris_app/templates/rescates_nuevo.html
{% extends 'base.html' %}

{% block content %}

<form method="POST" class="mascota-form" enctype="multipart/form-data">
    {% csrf_token %}
    {{ form.as_p }}
    <button type="submit" class="save btn btn-default">Guardar</button>
</form>

{% endblock %}